Skip to content
Docs

Check VM Update Availability

PATCH/v1/compute/vms/{vm_id}/availability

Check VM Update Availability

Path ParametersExpand Collapse
vm_id: string
Body ParametersJSONExpand Collapse
instance_type: optional string

Instance type name.

name: optional string

Name of the VM.

public_ip_enabled: optional boolean

Whether to enable public IP for the VM.

tags: optional array of string

Tags to attach to the VM.

Check VM Update Availability

curl https://api.nirvanalabs.io/v1/compute/vms/$VM_ID/availability \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY" \
    -d '{
          "instance_type": "n1-standard-8",
          "name": "my-vm",
          "public_ip_enabled": true,
          "tags": [
            "production",
            "ethereum"
          ]
        }'
Returns Examples